<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension-point id="org.tizen.common.ui.tipoftheday" name="%extension-point.tipoftheday" schema="schema/org.tizen.common.ui.tipoftheday.exsd"/>
   <extension-point id="org.tizen.common.ui.importwizard" name="Tizen import type" schema="schema/org.tizen.common.ui.importwizard.exsd"/>
   <extension-point id="org.tizen.common.template" name="org.tizen.common.template" schema="schema/org.tizen.common.template.exsd"/>
   <extension-point id="org.tizen.common.ui.wizards.project.creator" name="Tizen Project Creator" schema="schema/org.tizen.common.ui.wizards.project.creator.exsd"/>
   <extension-point id="org.tizen.common.ui.wizards.project.template.toolchain" name="Tizen Toolchain" schema="schema/org.tizen.common.ui.wizards.project.template.toolchain.exsd"/>
   <extension
         point="org.eclipse.ui.commands">
      <category
            id="org.tizen.common.ui.category"
            name="%org.tizen.common.ui.category">
      </category>
      <command
            categoryId="org.tizen.common.ui.category"
            defaultHandler="org.tizen.common.ui.commands.WebSiteCommandHandler"
            description="Show official IDE web site"
            id="org.tizen.common.ui.command.tizenweb"
            name="%org.tizen.common.ui.command.website">
      </command>
      <command
            categoryId="org.tizen.common.ui.category"
            defaultHandler="org.tizen.common.ui.dialog.StartUp"
            description="Show Tip of the day"
            id="org.tizen.common.ui.command.tip"
            name="%org.tizen.common.ui.command.tipoftheday">
      </command>
      <command
            defaultHandler="org.tizen.common.ui.wizards.project.command.TizenNewProjectWizardOpenCommandHandler"
            description="Open Tizen New Project Wizard"
            id="org.tizen.common.ui.command.projectwizard"
            name="Project Wizard">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:help?before=helpEnd">
            <command
                  commandId="org.tizen.common.ui.command.tizenweb"
                  style="push">
            </command>
         <separator
               name="helpSep"
               visible="true">
         </separator>
      </menuContribution>
   </extension>


   <!-- Wizard preferences page -->
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            category="org.tizen.common.preferences.tizencommon"
            class="org.tizen.common.ui.preferences.AppearancePreferencePage"
            id="org.tizen.common.ui.preferences.appearance"
            name="%org.tizen.common.ui.preferences.appearance.name">
      </page>
      <page
            category="org.tizen.common.preferences.tizencommon"
            class="org.tizen.common.ui.preferences.SamplePreferencePage"
            id="org.tizen.common.ui.preferences.sample"
            name="%org.tizen.common.ui.preferences.sample.name">
      </page>
      <page
            category="org.tizen.common.preferences.tizencommon"
            class="org.tizen.common.ui.preferences.UpdatePreferencePage"
            id="org.tizen.common.ui.preferences.update"
            name="%org.tizen.common.ui.preferences.update.name">
        </page>
   </extension>

   <extension
         point="org.eclipse.ui.startup">
      <startup
            class="org.tizen.common.ui.Startup">
      </startup>
   </extension>

    <extension
          point="org.eclipse.ui.startup">
       <startup
             class="org.tizen.common.ui.dialog.StartUp">
       </startup>
    </extension>

    <extension
          point="org.eclipse.ui.decorators">
       <decorator
             class="org.tizen.common.ui.decorators.ReferencedProjectDecorator"
             id="org.tizen.common.ui.decorator.projectdecorator"
             label="%decorator.referencedproject.label"
             lightweight="true"
             state="true">
          <description>
             Indicates whether a project is referenced
          </description>
          <enablement>
             <objectClass
                   name="org.eclipse.core.resources.IProject">
             </objectClass>
          </enablement>
       </decorator>
       <decorator
             class="org.tizen.common.ui.decorators.ImageFileDecorator"
             id="org.tizen.common.ui.decorators.ImageFileDecorator"
             label="%decorator.imagefile.label"
             lightweight="true"
             location="REPLACE"
             state="true">
          <enablement>
             <and>
                <objectClass
                      name="org.eclipse.core.resources.IFile">
                </objectClass>
                <or>
                   <objectState
                         name="name"
                         value="*.png">
                   </objectState>
                   <objectState
                         name="name"
                         value="*.jpg">
                   </objectState>
                   <objectState
                         name="name"
                         value="*.jpeg">
                   </objectState>
                   <objectState
                         name="name"
                         value="*.gif">
                   </objectState>
                   <objectState
                         name="name"
                         value="*.bmp">
                   </objectState>
                   <objectState
                         name="name"
                         value="*.ico">
                   </objectState>
                   <objectState
                         name="name"
                         value="*.svg">
                   </objectState>
                </or>
             </and>
          </enablement>
       </decorator>
       <decorator
             class="org.tizen.common.ui.decorators.TizenProjectDecorator"
             id="org.tizen.common.ui.decorator.projectinfodecorator"
             label="Tizen Project Information Decorator"
             lightweight="true"
             state="true">
          <description>
             Indicates what is a platform type
          </description>
          <enablement>
             <objectClass
                   name="org.eclipse.core.resources.IProject">
             </objectClass>
          </enablement>
       </decorator>
    </extension>
    <extension
          point="org.eclipse.ui.importWizards">
       <wizard
             category="org.tizen.nativeapp.importCategory"
             class="org.tizen.common.ui.wizards.imports.TizenProjectImportWizard"
             icon="icons/tizen_blank_16.png"
             id="org.tizen.common.ui.wizard.import"
             name="Tizen Project">
          <description>
             Import Tizen Projects
          </description>
       </wizard>
       <!-- It should be replaced to above importwizard
       <wizard
             category="org.tizen.nativeapp.importCategory"
             class="org.tizen.common.ui.wizards.imports.TizenProjectImportWizard2"
             icon="icons/tizen_blank_16.png"
             id="org.tizen.common.ui.wizard.import2"
             name="Tizen Project">
          <description>
             Create new Tizen project from a package file or directory.
          </description>
       </wizard>
       -->
    </extension>
    <extension
          point="org.eclipse.ui.popupMenus">
       <objectContribution
             id="org.tizen.common.ui.popupmenus.migration"
             objectClass="org.eclipse.core.resources.IProject">
          <action
                class="org.tizen.common.ui.MigrationAction"
                id="org.tizen.common.ui.newAction"
                label="Convert to Tizen Projects..."
                menubarPath="org.eclipse.ui.projectConfigure/additions">
          </action>
       </objectContribution>
    </extension>

    <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            category="org.tizen.nativeapp.newCategory"
            class="org.tizen.common.ui.wizards.project.template.TizenNewTemplateProjectWizard"
            hasPages="true"
            icon="icons/wizard/newwprj_wiz.png"
            id="org.tizen.common.ui.tizentemplateprojectwizard"
            name="Tizen Project from Template"
            project="true">
         <description>
            Create a Tizen project from template
         </description>
      </wizard>
      <wizard
            category="org.tizen.nativeapp.newCategory"
            class="org.tizen.common.ui.wizards.project.sample.TizenNewSampleProjectWizard"
            hasPages="true"
            icon="icons/wizard/newwprj_wiz.png"
            id="org.tizen.common.ui.tizensampleprojectwizard"
            name="Tizen Project from Sample"
            project="true">
         <description>
            Create a Tizen project from sample
         </description>
      </wizard>
      <wizard
            category="org.tizen.nativeapp.newCategory"
            class="org.tizen.common.ui.wizards.project.TizenNewProjectWizard"
            hasPages="true"
            icon="icons/wizard/newwprj_wiz.png"
            id="org.tizen.common.ui.tizenprojectwizard"
            name="Tizen Project"
            project="true">
         <description>
            Create a Tizen project from sample
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.navigator.navigatorContent">
      <commonWizard
            menuGroupId="org.tizen.web.ui"
            type="new"
            wizardId="org.tizen.common.ui.tizenprojectwizard">
         <enablement></enablement>
      </commonWizard>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="toolbar:org.eclipse.ui.trim.status?after=additions">
         <toolbar
               id="org.tizen.common.ui.statusbar.updateNotification"
               label="Update Notification">
            <control
                  class="org.tizen.common.ui.statusbar.UpdateNotificationControl"
                  id="org.tizen.common.ui.statusbar.UpdateNotificationControl">
            </control>
         </toolbar>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="org.tizen.common.ui.editors.XMLSourceEditor"
            contributorClass="org.eclipse.ui.texteditor.BasicTextEditorActionContributor"
            extensions="xml"
            id="org.tizen.common.ui.editors.XMLSourceEditor"
            name="XMLSourceEditor">
      </editor>
   </extension>
   <!-- TODO: Remove command bar extension
        Remove resources: schema, tipofday, icon, text, bundle text, dependency, package source and etc
    -->
    <!--
    <extension-point id="org.tizen.common.ui.commandbar" name="%extension-point.commandbar" schema="schema/org.tizen.common.ui.commandbar.exsd"/>

    <extension
          point="org.eclipse.ui.startup">
       <startup
             class="org.tizen.common.ui.commandbar.Startup"></startup>
    </extension>
    <extension point="org.eclipse.ui.menus">
       <group id="org.tizen.common.ui.commandbar" separatorsVisible="true">
             <location>
               <bar type="trim"></bar>
               <order position="start" relativeTo="status"></order>
             </location>
       </group>
       <widget class="org.tizen.common.ui.commandbar.StatusBar" id="org.tizen.common.ui.commandbar.status">
             <location>
               <bar path="org.tizen.common.ui.commandbar" type="trim"></bar>
             </location>
       </widget>
    </extension>
    <extension
         point="org.eclipse.ui.commands">
       <command
            categoryId="org.tizen.common.ui.category"
            defaultHandler="org.tizen.common.ui.commandbar.StatusBarHandler"
            description="Command Bar"
            id="org.tizen.common.ui.commandbar.commands.CommandBar"
            name="Command Bar">
       </command>
    </extension>
    <extension
         point="org.eclipse.ui.menus">
       <menuContribution
            locationURI="menu:tizensdkhelp">
            <command
                  commandId="org.tizen.common.ui.commandbar.commands.CommandBar"
                  style="push">
            </command>
       </menuContribution>
    </extension>
    <extension
         point="org.eclipse.ui.bindings">
       <key
            commandId="org.tizen.common.ui.commandbar.commands.CommandBar"
            contextId="org.eclipse.ui.contexts.window"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="M1+M2+C">
       </key>
    </extension>
    <extension
       point="org.eclipse.ui.handlers">
       <handler
          class="org.tizen.common.ui.commandbar.textAssist.SelectAllHandler"
          commandId="org.eclipse.ui.edit.selectAll">
         <activeWhen>
            <or>
                  <with variable="activeFocusControlId">
                     <equals value="org.tizen.common.ui.commandbar.textAssist.TextAssist"/>
                  </with>
            </or>
         </activeWhen>
       </handler>
       <handler
          class="org.tizen.common.ui.commandbar.textAssist.CopyHandler"
          commandId="org.eclipse.ui.edit.copy">
         <activeWhen>
            <or>
                  <with variable="activeFocusControlId">
                     <equals value="org.tizen.common.ui.commandbar.textAssist.TextAssist"/>
                  </with>
            </or>
         </activeWhen>
       </handler>
       <handler
          class="org.tizen.common.ui.commandbar.textAssist.CutHandler"
          commandId="org.eclipse.ui.edit.cut">
         <activeWhen>
            <or>
                  <with variable="activeFocusControlId">
                     <equals value="org.tizen.common.ui.commandbar.textAssist.TextAssist"/>
                  </with>
            </or>
         </activeWhen>
       </handler>
       <handler
          class="org.tizen.common.ui.commandbar.textAssist.PasteHandler"
          commandId="org.eclipse.ui.edit.paste">
         <activeWhen>
            <or>
                  <with variable="activeFocusControlId">
                     <equals value="org.tizen.common.ui.commandbar.textAssist.TextAssist"/>
                  </with>
            </or>
         </activeWhen>
       </handler>
    </extension>
    <extension
         point="org.tizen.common.ui.tipoftheday">
       <tip
            file="resources/tips/commandbar.html">
       </tip>
    </extension>
    -->
</plugin>
